<?php 

$path ="../xml/conexiones.xml";

$xml = new DOMDocument("1.0","UTF-8");

$xml->load('../xml/conexiones.xml');

//datos
$nombre = $_POST['nombre'];
$tipo= $_POST['tipo_conexion'];
$carpeta = $_POST['carpeta'];

if(isset($_POST['servidor'])){
   $servidor= $_POST['servidor'];
}

$xpath = new DOMXPath($xml);

foreach($xpath->query("/conexiones/conexion[nombre='$nombre']") as $nodo){ 
  $res = $nodo->parentNode->removeChild($nodo);
}

$xml->formatOutput = true;
$xml->save($path); 


$conexionesTag = $xml->getElementsByTagName("conexiones")->item(0);

$conexionTag= $xml->createElement("conexion");
  $nombre_conexion = $xml->createElement("nombre","$nombre");
  $tipo_conexion = $xml->createElement("tipo","$tipo");
  if(isset($_POST['servidor'])){
   $servidor_conexion = $xml->createElement("servidor","$servidor");
  }else{
    $servidor_conexion = $xml->createElement("servidor","");
  }
  $carpeta_conexion = $xml->createElement("carpeta","$carpeta");
  $conexionTag->appendChild($nombre_conexion);
  $conexionTag->appendChild($tipo_conexion);
  $conexionTag->appendChild($servidor_conexion);
  $conexionTag->appendChild($carpeta_conexion);

 $conexionesTag->appendChild($conexionTag);
 $xml->save($path); 


 header("Location: ../../index.php?estatus=Actualizado");
 exit();

?>